Employees

Bulk update employee salaries

PATCH
/api/public/v3/employees/salaries/bulk

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v3/employees/salaries/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "employee_id": 0,        "id": 0      }    ]  }'
{  "records": {    "count": 0,    "data": [      {        "id": 0,        "effective_on": "string",        "amount": "string",        "currency_code": "string",        "per": "string",        "overtime": true,        "comment": null,        "created_at": "string",        "updated_at": "string",        "pay_schedule": null,        "custom_fields": {          "23": {            "name": "string",            "value": "string"          },          "190": {            "name": "string",            "value": "string"          },          "304": {            "name": "string",            "value": "string"          }        }      }    ]  },  "errors": {    "count": 0,    "data": [      null    ]  }}